#
# postrm-texlsr
#
# postrm snippets for calling mktexlsr and update-*
#
# Authors:
#       Florent Rougon <f.rougon@free.fr>
#       Norbert Preining <preining@logic.at>
#
# Please note that comments in this file are stripped before installation
# by calling a grep -v '^[ \t]*#'
# So please be careful if you add stuff here!
#
# Let vim know that we don't want tabs
# vim:set expandtab: #


# Tell if kpsewhich works. If this is the case:
#
#   1. kpsewhich is installed and;
#
#   2. libkpathsea is configured.
dhit_libkpathsea_configured ()
{
    kpsewhich --version >/dev/null 2>&1
}

dhit_check_run_without_errors ()
{
    silent=0
    if [ "$1" = "-silent" ] ; then
        silent=1
	shift
    fi
    if which "$1" >/dev/null; then
        tempfile=$(mktemp -p /tmp checkrun.XXXXXXXX)
        if [ $silent = 0 ] ; then
	    printf "Running '$*'.\nThis may take some time..."
	fi
        set +e
        if "$@" > $tempfile 2>&1 ; then
            rm -f $tempfile
            [ $silent = 0 ] && echo " done."
        else
            echo
            echo "$* failed. Output has been stored in"
            echo "$tempfile"
            echo "If tex-common is not configured you can ignore this error" \
                 "message!"
            echo "Otherwise, please include this file if you report a bug."
            echo
        fi
        set -e
    fi

    return 0
}

case "$1" in
    remove|disappear)
        # It doesn't hurt to call all of them.
        dhit_check_run_without_errors -silent update-updmap --quiet
        dhit_check_run_without_errors -silent update-language
        dhit_check_run_without_errors -silent update-fmtutil
        # The mktexlsr call needs an installed and configured basic TeX
        # system, so check this.
        if dhit_libkpathsea_configured; then
            dhit_check_run_without_errors \
              mktexlsr #TEXMFTREES#
        fi
    ;;

    purge|upgrade|failed-upgrade|abort-upgrade|abort-install)
    ;;

    *)
        echo "postrm called with unknown argument '$1'" >&2
        exit 1
    ;;
esac
